Bug 800515 - Sportsclub example ER2 cannot be build with EAP ER2 repository
Sportsclub example ER2 cannot be build with EAP ER2 repository
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.0.0.ER2
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Marius Bogoevici
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 11:07 EST by Karel Piwko
Modified: 2013-03-03 20:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-08 03:44:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8219 None Closed Maven repository incomplete/inconsistent 2012-04-13 05:34:23 EDT

  None (edit)
Description Karel Piwko 2012-03-06 11:07:54 EST
Tracking issue for https://issues.jboss.org/browse/JBPAPP-8219.

It can be fixed with following changes in snowdrop-bom:

<!-- add following snippet before jboss-javaee[-web]-6.0

<!-- https://issues.jboss.org/browse/JBPAPP-8219 -->
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>10.0.1</version>
            </dependency>

Hopefully, this will be working with EAP ER3.
Comment 1 Karel Piwko 2012-03-06 11:10:09 EST
Failure log:

[INFO] Sports Club Subscriptions JSF Front-End ........... FAILURE [0.369s]
[INFO] Sports Club Invoicing EJB Business Layer .......... SKIPPED
[INFO] Sports Club Reservations Spring Business Layer .... SKIPPED
[INFO] Sports Club Reservations JSF Front-End ............ SKIPPED
[INFO] Sports Club Reservations JSF/Spring Webflow Front-End  SKIPPED
[INFO] Sports Club Invoicing Spring MVC Front-End ........ SKIPPED
[INFO] Sports Club EAR builder ........................... SKIPPED
[INFO] Sports Club JPA DAO ............................... SKIPPED
[INFO] Sports Club JPA EAR builder ....................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 12.968s
[INFO] Finished at: Tue Mar 06 17:09:38 CET 2012
[INFO] Final Memory: 37M/341M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project sportsclub-subscriptions-web: Could not resolve dependencies for project org.jboss.snowdrop.samples.sportsclub.spring-3_1:sportsclub-subscriptions-web:war:2.0.0-SNAPSHOT: Failed to collect dependencies for [org.jboss.snowdrop.samples.sportsclub.spring-3_1:sportsclub-subscriptions-ejb:jar:2.0.0-SNAPSHOT (provided), org.jboss.snowdrop.samples.sportsclub.spring-3_1:sportsclub-domain:jar:2.0.0-SNAPSHOT (provided), org.jboss.snowdrop.samples.sportsclub.spring-3_1:sportsclub-staticwebcontent:war:2.0.0-SNAPSHOT (runtime), org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec:jar:[2.0.0.Final,2.0.0.Final-redhat-1] (provided), org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec:jar:[1.0.2.Final,1.0.2.Final-redhat-1] (provided), org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec:jar:[1.0.1.Final,1.0.1.Final-redhat-1] (provided), org.hibernate.javax.persistence:hibernate-jpa-2.0-api:jar:[1.0.1.Final,1.0.1.Final-redhat-1] (provided), org.springframework:spring-context:jar:3.1.0.RELEASE (provided), org.richfaces.core:richfaces-core-api:jar:4.2.0.Final-redhat-1 (compile), org.richfaces.core:richfaces-core-impl:jar:4.2.0.Final-redhat-1 (compile), org.richfaces.ui:richfaces-components-api:jar:4.2.0.Final-redhat-1 (compile), org.richfaces.ui:richfaces-components-ui:jar:4.2.0.Final-redhat-1 (compile)]: Failed to read artifact descriptor for org.jsr-305:ri:jar:0.1-redhat-1: Failure to find org.jsr-305:jsr-305:pom:0.1-redhat-1 in file:///home/kpiwko/devel/wfk/wfk-qa/build/configuration/../../../obsolete-repository was cached in the local repository, resolution will not be reattempted until the update interval of obsolete-enterprise-repository has elapsed or updates are forced -> [Help 1]
Comment 2 Paul Gier 2012-03-06 11:19:36 EST
Karel, if you can give me a test pom that matches your use case, I can add it to the repository testsuite.
http://git.app.eng.bos.redhat.com/?p=jboss-eap/maven-repository-testsuite.git;a=summary
Comment 3 JBoss JIRA Server 2012-03-06 19:25:57 EST
Paul Gier <pgier@redhat.com> updated the status of jira JBPAPP-8219 to Resolved
Comment 4 JBoss JIRA Server 2012-03-06 19:25:57 EST
Paul Gier <pgier@redhat.com> made a comment on jira JBPAPP-8219

I believe the repo is complete with known test cases.  If new problems show up in the ER3 release, we can use a new jira.
Comment 5 Karel Piwko 2012-03-07 10:32:39 EST
Paul, the problem here is that the test bom requires WFK repository as well. Maybe Marek can provide a pom file which is used during WFK repository build and has only EAP dependencies.
Comment 6 Marius Bogoevici 2012-03-07 19:28:06 EST
Acknowledged, waiting for confirmation that ER3 fixes the problem.
Comment 7 Karel Piwko 2012-03-08 03:37:54 EST
Yes, example is buildable using 6.0.0.ER3.
Comment 8 Karel Piwko 2012-03-08 03:44:18 EST
Closing as 6.0.0.ER3 arrival fixed that.
Comment 9 JBoss JIRA Server 2012-03-13 06:00:34 EDT
Rostislav Svoboda <rsvoboda@redhat.com> updated the status of jira JBPAPP-8219 to Closed
Comment 10 JBoss JIRA Server 2012-03-13 06:00:34 EDT
Rostislav Svoboda <rsvoboda@redhat.com> made a comment on jira JBPAPP-8219

Closing - based on last comment.

Note You need to log in before you can comment on or make changes to this bug.